<script>
export default {
  name: 'Recognition',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      openTab: 0,
    };
  },
  mounted() {
    this.selectTab(0);
  },
  methods: {
    selectTab(index) {
      this.openTab = index;
    },
  },
};
</script>

<template>
  <section class="recognition">
    <SlpContainer>
      <SlpRow class="recognition__row">
        <SlpColumn :cols="6" size="md">
          <SlpTypography tag="h2" variant="heading3-bold" class="slp-mb-8">
            <span v-html="data.heading"></span
          ></SlpTypography>
          <SlpTypography tag="p" variant="heading5" class="slp-mb-48">
            <span v-html="data.subtitle"></span
          ></SlpTypography>
          <div v-if="data.badges" class="recognition__badges">
            <img
              v-for="image in data.badges"
              :key="image.src"
              :src="image.src"
              :alt="image.alt"
              loading="lazy"
            />
          </div>
        </SlpColumn>
        <SlpColumn :cols="1" size="md"> </SlpColumn>
        <SlpColumn :cols="5" size="md">
          <div
            v-for="card in data.cards"
            :key="card.text"
            class="recognition__card"
          >
            <SlpTypography
              v-if="card.header"
              tag="p"
              variant="heading4-bold"
              class="slp-mb-md-32"
              >{{ card.header }}</SlpTypography
            >
            <img
              v-if="card.logo"
              :src="card.logo"
              :alt="card.alt ?? ''"
              height="24px"
              class="slp-mb-24"
              loading="lazy"
            />

            <SlpTypography
              v-if="card.text"
              tag="p"
              variant="body1"
              class="slp-mb-md-32"
              >{{ card.text }}</SlpTypography
            >

            <SlpButton
              variant="tertiary"
              class="recognition__button slp-mt-16"
              :href="card.link.href"
              :data-ga-name="card.link.data_ga_name"
              :data-ga-location="card.link.data_ga_location"
            >
              {{ card.link.text }}
              <SlpIcon
                name="chevron-right"
                variant="product"
                size="medium"
                class="recognition__content-icon"
              />
            </SlpButton>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.recognition {
  position: relative;
  padding: $spacing-64 0;
  z-index: 0;

  @media (min-width: $breakpoint-sm) {
    padding: $spacing-64 0;
  }
  &__row {
    padding: 96px 0;
    border-top: 1px solid var(--slp-color-action-secondary-100, #d1d0d3);
    border-bottom: 1px solid var(--slp-color-action-secondary-100, #d1d0d3);
  }
  &__stats {
    display: flex;
    justify-content: space-between;
    margin: $spacing-32 auto;
    @media (min-width: $breakpoint-md) {
      margin: 0 0 $spacing-96 0;
    }
  }
  &__stat {
    :first-of-type {
      margin-right: 32px;
    }
  }
  &__card {
    border-radius: 0px;
    border: 1px solid $color-surface-100;
    padding: $spacing-32;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 16px;
    background: $color-surface-800;

    .recognition__button {
      order: 2;
      display: block;
      text-align: left;
      @media (min-width: $breakpoint-md) {
        order: unset;
      }
    }
  }
  &__wrapper {
    @media (min-width: $breakpoint-md) {
      display: grid;
      grid: {
        template-columns: auto 40%;
        gap: $spacing-16 $spacing-16;
      }
    }
  }
  &__badges {
    position: relative;
    justify-content: flex-start;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 48px;
    @media (min-width: $breakpoint-md) {
      gap: 42px;
    }
    img {
      width: 76px;
      flex: 0 0 22%;
      @media (min-width: $breakpoint-md) {
        width: 96px;
        flex: 0 0 auto;
      }
    }
  }
  &__button {
    margin-top: 16px;
    @media (min-width: $breakpoint-md) {
      margin-top: auto;
    }
  }
  &__content-icon {
    height: 20px;
    width: 20px;
    display: inline-block;
    position: relative;
    margin-left: 0 !important;
    :deep div {
      position: absolute;
      top: 4px;
    }
  }
}
</style>
